PUT
/api/admin/merchants/{id}/fees
const url = 'https://example.com/api/admin/merchants/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/fees';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"merchantId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","mode":"Inclusive","card":{"percentageRate":1,"fixedFee":1,"minFee":1,"maxFee":1},"bank":{"percentageRate":1,"fixedFee":1,"minFee":1,"maxFee":1}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/admin/merchants/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/fees \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "merchantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "mode": "Inclusive", "card": { "percentageRate": 1, "fixedFee": 1, "minFee": 1, "maxFee": 1 }, "bank": { "percentageRate": 1, "fixedFee": 1, "minFee": 1, "maxFee": 1 } }'Set a merchant’s fee mode and card/bank fee structures. A null rail clears that setting.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Request Body
Section titled “Request Body ”object
merchantId
string format: uuid
mode
string
card
object
percentageRate
number format: double
fixedFee
number format: double
minFee
number format: double
maxFee
number format: double
bank
object
percentageRate
number format: double
fixedFee
number format: double
minFee
number format: double
maxFee
number format: double
object
merchantId
string format: uuid
mode
string
card
object
percentageRate
number format: double
fixedFee
number format: double
minFee
number format: double
maxFee
number format: double
bank
object
percentageRate
number format: double
fixedFee
number format: double
minFee
number format: double
maxFee
number format: double
object
merchantId
string format: uuid
mode
string
card
object
percentageRate
number format: double
fixedFee
number format: double
minFee
number format: double
maxFee
number format: double
bank
object
percentageRate
number format: double
fixedFee
number format: double
minFee
number format: double
maxFee
number format: double
Responses
Section titled “ Responses ”OK
Media type application/json
object
mode
string
card
object
percentageRate
number format: double
fixedFee
number format: double
minFee
number format: double
maxFee
number format: double
bank
object
percentageRate
number format: double
fixedFee
number format: double
minFee
number format: double
maxFee
number format: double
Example
{ "mode": "Inclusive"}Bad Request
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}